BeagleWksParser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
BeagleWksParser Class Referencefinal

the main class to read a BeagleWorks file More...

`#include <BeagleWksParser.hxx>`

Inheritance diagram for BeagleWksParser:

## Public Member Functions
| BeagleWksParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor More...
| ~BeagleWksParser () final
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGTextInterface *documentInterface) final
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWTextParser
| ~MWAWTextParser () override
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document More...
MWAWVec2f | getPageLeftTop () const
| returns the page left top point ( in inches) More...
void | newPage (int number)
| adds a new page More...
bool | sendFrame (int pId)
| try to insert the pId picture (as char) More...
bool | createZones ()
| finds the different objects zones More...
bool | readRSRCZones ()
| read the resource fork zone More...
bool | sendPageFrames ()
| try to send the page graphic More...
bool | sendFrame (BeagleWksStructManager::Frame const &frame)
| try to send a frame More...
bool | sendPicture (int pId, MWAWPosition const &pos, MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| try to send a picture More...
bool | readPrintInfo ()
| read the print info zone More...
bool | readLastZone ()
| read the last zone More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr const &state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
std::shared_ptr< BeagleWksParserInternal::State > | m_state
| the state More...
std::shared_ptr< BeagleWksStructManager > | m_structureManager
| the structure manager More...
std::shared_ptr< BeagleWksText > | m_textParser
| the text parser More...

## Friends
class | BeagleWksText

## Detailed Description

the main class to read a BeagleWorks file

## Constructor & Destructor Documentation

## ◆ BeagleWksParser()

BeagleWksParser::BeagleWksParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

## ◆ ~BeagleWksParser()

BeagleWksParser::~BeagleWksParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool BeagleWksParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| finalvirtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

## ◆ createDocument()

void BeagleWksParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createZones()

bool BeagleWksParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

## ◆ getPageLeftTop()

MWAWVec2f BeagleWksParser::getPageLeftTop | ( |  | ) | const
| protected

returns the page left top point ( in inches)

## ◆ init()

void BeagleWksParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by BeagleWksParser().

## ◆ newPage()

void BeagleWksParser::newPage | ( | int | number | ) |
| protected

adds a new page

Referenced by BeagleWksText::sendText().

## ◆ parse()

void BeagleWksParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Implements MWAWTextParser.

## ◆ readLastZone()

bool BeagleWksParser::readLastZone | ( |  | ) |
| protected

read the last zone

Referenced by createZones().

## ◆ readPrintInfo()

bool BeagleWksParser::readPrintInfo | ( |  | ) |
| protected

read the print info zone

Referenced by checkHeader(), and createZones().

## ◆ readRSRCZones()

bool BeagleWksParser::readRSRCZones | ( |  | ) |
| protected

read the resource fork zone

Referenced by createZones().

## ◆ rsrcAscii()

libmwaw::DebugFile & BeagleWksParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

## ◆ rsrcInput()

MWAWInputStreamPtr BeagleWksParser::rsrcInput | ( |  | ) |
| protected

return the input input

## ◆ sendFrame() [1/2]

bool BeagleWksParser::sendFrame | ( | int | pId | ) |
| protected

try to insert the pId picture (as char)

Referenced by sendPageFrames(), and BeagleWksText::sendText().

## ◆ sendFrame() [2/2]

bool BeagleWksParser::sendFrame | ( | BeagleWksStructManager::Frame const & | frame | ) |
| protected

try to send a frame

## ◆ sendPageFrames()

bool BeagleWksParser::sendPageFrames | ( |  | ) |
| protected

try to send the page graphic

Referenced by parse().

## ◆ sendPicture()

bool BeagleWksParser::sendPicture | ( | int | pId,
|  | MWAWPosition const & | pos,
|  | MWAWGraphicStyle const & | style = `MWAWGraphicStyle::emptyStyle()`
| ) |  |
| protected

try to send a picture

Referenced by readLastZone(), and sendFrame().

## Friends And Related Function Documentation

## ◆ BeagleWksText

friend class BeagleWksText
| friend

Referenced by init().

## Member Data Documentation

## ◆ m_state

std::shared_ptr<BeagleWksParserInternal::State> BeagleWksParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), getPageLeftTop(), init(), and newPage().

## ◆ m_structureManager

std::shared_ptr<BeagleWksStructManager> BeagleWksParser::m_structureManager
| protected

the structure manager

Referenced by createZones(), init(), readRSRCZones(), sendFrame(), sendPageFrames(), and sendPicture().

## ◆ m_textParser

std::shared_ptr<BeagleWksText> BeagleWksParser::m_textParser
| protected

the text parser

Referenced by createDocument(), createZones(), init(), and parse().

The documentation for this class was generated from the following files:

- BeagleWksParser.hxx
- BeagleWksParser.cxx